@charset "utf-8";

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/

#content,
#content_main {
    font-family: "Noto Sans TC", sans-serif;
}

.path {
    display: none;
}

.main_part {
    width: 90%;
    max-width: 1500px;
    padding: 80px 0;
}

.pageIndex .header_area {
    transform: translateY(-100%);
    top: -94px;
    opacity: 0;
}

.pageIndex .header_area.sticky {
    transform: translateY(0);
    top: 0;
    opacity: 1;
}

.services_page:before {
    content: ' ';
    position: fixed;
    z-index: -1;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: url(https://pic03.eapple.com.tw/musicbeer/bgbg.jpg) bottom center / cover no-repeat;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/

.navigation {
    display: flex;
    align-items: center;
    padding: 0;
    gap: 0;
}

.nav-header {
    padding: 15px 20px 15px 15px;
    position: absolute;
    background: #024d1c;
    transition: all ease 0.6s;
    max-width: 280px;
    aspect-ratio: 7/3;
    z-index: 9901;
}

.nav-brand {
    width: 100%;
    max-width: 240px;
    background: url(https://pic03.eapple.com.tw/musicbeer/logo_h.svg) center/cover no-repeat;
    aspect-ratio: 7/3;
}

.nav-brand img {
    display: none;
}

.header_area,
.header_area.sticky {
    position: sticky;
    background: #fff;
    padding: 0;
    transition: all ease 0.3s;
}

.pageIndex .header_area,
.header_area.sticky {
    position: fixed;
}

.header_area.sticky {
    box-shadow: 0 0 20px rgba(0 0 0 / 10%);
}

.main_header_area .container {
    max-width: 2000px;
    padding: 0 5% 0 0;
}

.stellarnav>ul {
    font-family: "Noto Sans TC", sans-serif;
}

.stellarnav li.has-sub>a:after {
    content: none;
}

.stellarnav>ul>li>a,
.stellarnav>ul>li.has-sub>a:not(.dd-toggle) {
    padding: 0 2px;
    color: #222;
    display: block;
    font-weight: 500;
    margin: 0 16px;
    text-transform: none;
    height: 100%;
    line-height: 86px;
    letter-spacing: 1px;
    transition: all ease 0.3s;
}

.stellarnav>ul>li:hover>a,
.stellarnav>ul>li.open>a:not(.dd-toggle),
.stellarnav>ul>li.has-sub:hover>a:not(.dd-toggle) {
    color: #0b772c;
}

.stellarnav>ul>li:before {
    content: '';
    background: url(https://pic03.eapple.com.tw/musicbeer/note.svg) center / cover no-repeat;
    width: 100%;
    height: auto;
    aspect-ratio: 2/3;
    max-width: 20px;
    display: block;
    position: absolute;
    left: -4px;
    top: calc(50% - 4px);
    transform: translateY(-50%) rotate(-4deg);
    opacity: 0;
    transition: all ease 0.3s;
}

.stellarnav>ul>li:hover:before,
.stellarnav>ul>li.open:before {
    opacity: 1;
}

.me_tp_features {
    display: none;
}

/*次分類*/
.stellarnav>ul>li.drop-left>ul {
    right: auto;
    left: 0;
}

.stellarnav li.drop-left ul ul {
    left: 100%;
    right: auto;
}

.stellarnav ul ul {
    background: transparent;
    border: 1px solid rgba(0, 0, 0, .1);
    border-top: none;
}

.stellarnav li li {
    background: #fff;
    border: none;
    border-top: 1px solid rgba(0, 0, 0, .1);
    margin-bottom: 0;
    transition: all ease .3s;
}

.stellarnav li li:hover {
    background: #0b772c;
}

.stellarnav li li a:not(.dd-toggle),
.stellarnav li li.has-sub>a:not(.dd-toggle),
.stellarnav li li.has-sub:hover li a:not(.dd-toggle) {
    color: #444;
    padding: 10px 18px;
    line-height: initial;
    height: auto;
    margin: 0;
    font-size: 15px;
    position: relative;
    transition: all ease .3s;
}

.stellarnav li li:hover a:not(.dd-toggle),
.stellarnav li li.has-sub:hover a:not(.dd-toggle),
.stellarnav li li.has-sub:hover li:hover a:not(.dd-toggle) {
    color: #fff;
}

.stellarnav>ul>li:nth-last-of-type(2)>ul {
    max-height: 400px;
    overflow-y: auto;
}


/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    left: 0;
    width: 100%;
    position: fixed;
    padding: 20px;
}

.stellarnav.desktop li.bigMenu ul ul {
    top: 100%;
    left: 0;
    width: 100%;
    background: #efefef;
    height: auto;
    max-height: 300px;
    overflow: auto;
}

.stellarnav.desktop li.bigMenu ul ul li {
    margin: 0;
}

.stellarnav.hasBigMenu li.bigMenu li.has-sub>a:after {
    border-left: 6px solid transparent;
    border-bottom: unset;
    border-right: 6px solid transparent;
    border-top: 6px solid #898989;
    right: 5px;
}

/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*預設解除背景輪播*/
#content_main {
    margin: 0;
}

.bannerindex {
    position: relative;
    height: auto;
}

.swiper-banner {
    position: static;
    margin: 0;
    height: auto;
}

/* .swiper-slide img { height:auto;} */
@media screen and (max-width: 768px) {
    .bannerindex {
        padding: 0;
        margin: 0;
    }
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*內頁BANNER 設定*/

.banner {
    padding: 0;
    display: flex;
    align-items: center;
    width: 100%;
    height: auto;
    aspect-ratio: 5/1;
    position: relative;
    overflow: hidden;
}

.banner:before {
    content: "";
    position: absolute;
    width: 101%;
    height: 101%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: url(https://pic03.eapple.com.tw/musicbeer/banner.jpg) center/cover no-repeat;
}

.banner:after {
    content: "";
    position: absolute;
    width: 101%;
    height: 101%;
    top: 0;
    left: 0;
    background: #000;
    opacity: .5;
    z-index: 9;
}

.banner h5 {
    line-height: 1.5;
    color: #fff;
    letter-spacing: 4px;
    font-weight: bold;
    font-size: 36px;
    font-family: 'Noto Sans TC';
    letter-spacing: 3px;
    z-index: 99;
    padding: 0 5%;
}

.banner h5:after {
    content: '烏日啤酒廠-音樂行動啤酒車';
    font-size: 20px;
    display: block;
    margin-top: 10px;
    color: #f8cb11;
    letter-spacing: 2px;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*文章設定*/
.blog_subbox {
    grid-template-columns: repeat(2, 1fr);
}

.blog_box,
.blog_le {
    padding: 0;
}

.blog_list_ri h5 {
    font-weight: bold;
    font-size: 22px;
    color: #444;
}

.blog_list_ri p {
    font-size: 16px;
    line-height: 165%;
    -webkit-line-clamp: 3;
}

.blog_page h4.blog_category_title,
h5.blog_le_t {
    display: none;
}

.blog_le .accordion {
    border-radius: 0;
}

.accordion li .link a {
    color: #444;
    font-weight: 400;
    font-size: 17px;
    padding: 12px;
}

.accordion li .link {
    border-bottom: none;
}

.accordion li {
    transition: all 0.2s ease;
}

.blog_le .accordion>li:hover,
.blog_le .accordion>li.open:hover,
.blog_le .accordion>li.on_this_category:hover {
    background: #f3a119 !important;
}

.blog_le .accordion>li.open,
.blog_le .accordion>li.on_this_category {
    background: #3ba44a !important;
}

.blog_le .accordion>li.open .link a,
.blog_le .accordion>li.open .link i {
    color: #fff !important;
}

.submenu {
    background: #fff;
    font-size: 16px;
}

.submenu a {
    font-family: 'Noto Sans TC', serif;
    color: #444;
    letter-spacing: 0px;
    font-weight: 400;
    padding: 12px 12px 12px 36px;
    border-left: #fff 0 solid;
    transition: all .15s;
}

.submenu li.on_this_category a,
.submenu a:hover {
    background: #fcf9f4;
    color: #222;
}

.submenu a i {
    left: 12px;
    font-weight: var(--fa-style, 900);
    font-family: var(--fa-style-family, "Font Awesome 6 Free");
}

.submenu a:hover {
    border-left: #fcf9f4 4px solid;
}

.blog_search input[type=search] {
    background: #fff;
    font-size: 13px;
    border-radius: 0;
    padding: 12px 36px 12px 12px;
}

.blog_search input[type=submit] {
    filter: grayscale(20);
}

.blog_le .accordion li .link i {
    transition: none;
}

/*內頁*/
.blog_in_page .main_part {
    max-width: 1300px;
}

h4.blog_category_title {
    display: block;
    font-size: 26px;
    color: #0b772c;
    letter-spacing: 1px;
    font-weight: bold;
    text-align: left;
    padding: 0;
    margin: 0;
    padding-right: 160px;
}

.blog_in_page .blog_shareData {
    position: absolute;
    top: 0;
    right: 0;
    width: max-content;
}

.articel_mainPic img {
    display: none;
}

.blog_box_edit * {
    line-height: 178%;
}

.blog_box_edit {
    font-size: 16px;
    color: #444;
}

.blog_back a.article_btn_back {
    background: #ff551a;
}

.blog_back a.article_btn_prev,
.blog_back a.article_btn_next {
    background: #f4a21a;
}

.news_related {
    padding: 48px 0;
    background: #fcf9f4;
}

.news_related h6 span:before {
    color: #f3a119;
    font-weight: 500;
    letter-spacing: 1px;
    font-size: 20px;
}

.news_related_list li a p {
    margin: 6px auto 4px;
    line-height: 1.5;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-size: 16px;
    color: #666;
}

.news_related_list {
    max-width: 1300px;
    width: 90%;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

.news_related_list li {
    width: calc((100% - 60px) / 4);
}

.news_related_list li a {
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相簿*/
.show_content {
    padding: 0;
}

.show-list .show_name {
    color: #444;
    -webkit-line-clamp: 1;
    font-weight: 500;
    letter-spacing: 1px;
}

.show-list .item:hover .show_name {
    color: #0b772c;
}

.subalbum-menu {
    margin: 0;
    padding: 0;
}

.other_subalbum li a p {
    line-height: 1.4;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin: 10px 0 0;
    color: #444;
}

.subalbum-menu h2 {
    font-weight: bold;
    font-size: 22px;
    color: #0b772c;
}

/*首頁相簿*/
.module_i_album {
    padding: 80px 5%;
}

.module_i_album .title_i_box,
.i_album_b {
    margin: 0 auto;
}

.module_i_album .title_i_box h4 {
    font-size: 36px;
    color: #0b772c;
    letter-spacing: 1px;
    font-weight: 900;
}

.module_i_album section {
    max-width: 1600px;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */



/*購物車*/
/*modify*/
.proImgSwiper {
    clip-path: inset(0 2px);
}

.products-list .more {
    border-color: #0a762b;
    color: #0a762b;
    background: #fff;
}

.products-list .item a:hover .more {
    background: #0a762b;
}

.products-list .name {
    -webkit-line-clamp: 1;
    font-size: 17px;
    height: 26px;
    margin: 13px 0 17px;
    font-weight: 500;
}

.products-list .pic {
    border-radius: 30px;
}

.products-list .pic:after {
    content: "+";
    font-size: 24px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 36px;
    height: 36px;
    line-height: 30px;
    z-index: 9;
    text-align: center;
    border-radius: 100%;
    color: #FFF;
    border: 2px #FFFFFF solid;
    opacity: 0;
    transition: .35s;
}

.products-list .item a:hover .pic:after {
    opacity: 1;
}

.products-list .pic img {
    transition: 0.5s;
}

.products-list .item:hover .pic img {
    transform: scale(1.1);
    filter: brightness(.5);
}

/*預設*/
.product_page .show_content,
.product_info_page .show_content {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
}

.product_page .product_menu_list {
    position: relative;
    width: 250px;
    letter-spacing: 1px;
    border-right: 1px solid #ccc;
    min-height: 45vw;
}

.product_page .products-list {
    width: calc(100% - 310px);
    grid-gap: 20px;
}

ul.page {
    width: 100%;
}

.product-layer-two li ul {
    position: static;
    margin: 0;
    width: 100%;
    background: #fcf9f4;
}

.product-layer-two li:hover ul {
    border: none !important;
    /*display:block !important;*/
}

.product-layer-two>li {
    width: 100%;
    max-width: 100%;
    text-align: left;
    border-bottom: 1px dotted #ccc;
    padding: 5px 5px 5px 0;
}

.product-layer-two li i {
    right: 22px;
    top: 18px;
    width: 20px;
    height: 20px;
    font-size: 20px;
    color: #444;
    transition: all ease .3s;
}

.product-layer-two>li:hover i,
.product-layer-two>li.active i {
    color: white;
}

.product_info_page .product_menu_list {
    display: none;
}

.product-wrapper {
    width: 100%;
}

.product-layer-two li li>a:before {
    content: "";
    position: absolute;
    width: 12px;
    height: 8px;
    background: transparent;
    left: 0;
    margin-left: -22px;
    top: 50%;
    margin-top: -4px;
    clip-path: polygon(0 0, 100% 50%, 0 100%);
}

/*預設結束*/
.product-layer-two li li {
    display: block;
    background: none;
    border: none;
    padding: 0 22px;
    margin: 20px 0 0;
    transition: all ease .3s;
}

.product-layer-two li li:hover {
    padding-left: 46px;
}

.product-layer-two>li>ul li+li {
    margin-top: 0;
}

.product-layer-two>li>ul li:last-of-type {
    margin-bottom: 20px;
}

.product-layer-two li.active li {
    display: block;
}

.product-layer-two li li a,
.product-layer-two li.active li a {
    background: none;
    padding: 0;
    color: #666;
    font-size: 15px;
}

.product-layer-two li li:hover>a {
    color: #222;
    border: none;
}

.product-layer-two li li:hover>a:before {
    background: #222;
}

.product-layer-two li:hover>a:before,
.product-layer-two li.active>a:before {
    background: white;
    color: #0a762b;
}

.product-layer-two li a {
    padding: 10px 48px 10px 22px;
    color: #444;
    letter-spacing: 0px;
    border: none;
    font-weight: bold !important;
    background: transparent;
    transition: all 0.3s;
    line-height: 160%;
    font-size: 16px;
    transition: all 0.3s;
}

.product-layer-two li li a {
    font-weight: 500 !important;
}

.product-layer-two>li:hover>a,
.product-layer-two li.active>a {
    background: #3ba44a;
    border: none;
    color: #fff;
}

.product-layer-two ul {
    grid-gap: 15px;
}

.sidebarBtn {
    padding: 0 0 0 30px;
    border: none;
    background: none;
}

.sidebarBtn h2 {
    font-weight: bold;
    letter-spacing: 1px;
    color: #0b772c;
}

.product_info {
    display: none;
}

/*內頁*/
.product_info_page .main_part {
    max-width: 1300px;
}

.product_main {
    padding: 0;
}

.proImgSwiper li {
    align-items: flex-start;
}

.pd_tabInner_contain {
    padding-top: 0;
}

.prod_related {
    padding: 48px 0;
    background: #fcf9f4;
}

.prod_related h6 span:before {
    color: #f3a119;
    font-weight: 500;
    letter-spacing: 1px;
    font-size: 20px;
}

.related_list li a p {
    margin: 6px auto 4px;
    line-height: 1.5;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-size: 16px;
    color: #666;
}

.related_list {
    max-width: 1300px;
    width: 90%;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

.related_list li {
    width: calc((100% - 60px) / 4);
}

.related_list li a {
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
}

.lastPage,
.animated-arrow {
    font-size: 16px;
    background: #f3a119;
    border-radius: 50px;
}

.pd_tabTitle li.activeTab a {
    font-size: 22px;
    letter-spacing: 1px;
    font-weight: 600;
    color: #0a762b;
}

.pd_tabTitle li.activeTab::after {
    height: 2px;
    background: #0a762b;
}

.pd_tabTitle li {
    border: none;
}

.product-wrapper .edit {
    color: #444;
    font-size: 16px;
    line-height: 170%;
    letter-spacing: .5px;
    padding: 20px 0 0;
}

/*首頁購物車*/
.prod_part {
    padding: 80px 5%;
    background: #fcf9f4;
}

.prod_part section {
    max-width: 1600px;
}

.i_prod_tit span {
    font-size: 36px;
    color: #0b772c;
    letter-spacing: 1px;
    font-weight: 900;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/*footer*/
.footer {
    padding: 40px 0 0;
    background: #024d1c;
    font-family: 'Noto Sans TC', Microsoft JhengHei, sans-serif;
}

.footer_logo {
    display: block;
    margin: 0 auto;
}

.footer .center {
    max-width: 1024px;
    padding: 0 5%;
}

.footer_menu a:first-child {
    display: none;
}

.footer_info,
.footer_info ul {
    font-weight: 500;
    width: 100%;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-self: center;
    align-content: center;
    text-align: center;
    letter-spacing: 0;
    padding: 0;
}

.footer_info ul {
    padding-bottom: 16px;
    margin-bottom: 16px;
    border-bottom: 1px solid #fff;
    gap: 32px;
}

.footer_info li:nth-child(1),
.footer_info li:nth-child(2),
.footer_info li p {
    width: 100%;
    padding: 0;
    letter-spacing: 1px;
}

.footer_info li p,
.footer_info li p a {
    color: #fff;
}

.footer_menu a {
    padding: 6px 12px 8px;
    border: none;
    border-radius: 30px;
    color: rgba(255, 255, 255, .75);
    background: transparent;
    margin: 0 6px;
    transition: all 0.4s;
}

.footer_menu a:hover {
    background: #f8cb11;
    color: #024d1c;
}

.copy,
.copy a,
.copy a:hover {
    color: rgba(255, 255, 255, .5);
}

.copy {
    text-align: center;
    padding: 5px 5% 40px;
    border-top: none;
    max-width: 1024px;
    margin: 0 auto;
}

.box_link {
    display: none;
}


@media screen and (max-width: 768px) {

    /* 開啟手機板下方按鈕所需設定 */
    #bottom_menu {}

    .footer.with_shopping_mode {
        padding: 30px 0 70px;
    }

    #to_top {
        bottom: 60px;
    }
}

@media screen and (max-width: 600px) {}